Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.definition
Class DocumentParser

    java.lang.Object
      org.codehaus.aspectwerkz.definition.DocumentParser

    public class DocumentParser

extends Object

Parses the XML definition using `dom4j`.

Author:
  Jonas Bonr , Alexandre Vasseur

Constructor Summary
`DocumentParser()`

Method Summary
`static void` | `addVirtualAspect(SystemDefinition definition)` Adds a virtual system aspect to the definition.
`static Set` | `parse(ClassLoader loader, org.dom4j.Document document)` Parses the definition DOM document.
`static List` | `parseAspectClassNames(org.dom4j.Document document)` Parses aspect class names.
`static AspectDefinition` | `parseAspectDefinition(org.dom4j.Document document, SystemDefinition systemDef, Class aspectClass)` Parses the definition DOM document.
`static void` | `parsePrepareElements(org.dom4j.Element root, SystemDefinition definition, String packageName)` Parses the `prepare` elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentParser

    public DocumentParser()

Method Detail

### parseAspectClassNames

    public static List parseAspectClassNames(org.dom4j.Document document)

  Parses aspect class names.

  Parameters:
    `document` - the defintion as a document
  Returns:
    the aspect class names

### parseAspectDefinition

    public static AspectDefinition parseAspectDefinition(org.dom4j.Document document,
                                                         SystemDefinition systemDef,
                                                         Class aspectClass)

  Parses the definition DOM document.

  Parameters:
    `document` - the defintion as a document
    `systemDef` - the system definition
    `aspectClass` - the aspect class
  Returns:
    the definition

### parse

    public static Set parse(ClassLoader loader,
                            org.dom4j.Document document)

  Parses the definition DOM document.

  Parameters:
    `loader` - the current class loader
    `document` - the defintion as a document
  Returns:
    the definitions

### addVirtualAspect

    public static void addVirtualAspect(SystemDefinition definition)

  Adds a virtual system aspect to the definition. Needed to do various tricks.

  Parameters:
    `definition` -

### parsePrepareElements

    public static void parsePrepareElements(org.dom4j.Element root,
                                            SystemDefinition definition,
                                            String packageName)

  Parses the `prepare` elements.

  Parameters:
    `root` - the root element
    `definition` - the definition object
    `packageName` - the base package name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.